Subject: Re: bug#10728: lgrep fails with certain entries in grep-files-aliases
From: Christoph Scholtes <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 04 Feb 2012 14:50:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2/4/2012 2:08 PM, Eli Zaretskii wrote:

> Why do you think this is a "failure"?  There indeed are no files
> matching these widlcards in the Emacs's src directory.

I guess you are right. I compared it to rgrep where the result is 
`Grep:exit [no match]' and the mode line says `Grep finished with no 
matches found'. Whereas with lgrep you get an `abnormal exit' from grep 
even if there are matches to some of the wild cards. This example was 
contrived. I noticed this at work in a tree where there were .CC and 
.cpp files present, but grep still exited abnormally.

There is no failure in Emacs. I'm closing this. Thanks.

Christoph